diff --git a/sdk/nrf5/examples/zigbee/light_control/light_coordinator/main.c b/sdk/nrf5/examples/zigbee/light_control/light_coordinator/main.c
index 2d85e098d3..d6b57052e1 100644
--- a/sdk/nrf5/examples/zigbee/light_control/light_coordinator/main.c
+++ b/sdk/nrf5/examples/zigbee/light_control/light_coordinator/main.c
@@ -131,20 +131,16 @@ void zboss_signal_handler(zb_uint8_t param)
 
     switch(sig)
     {
-        case ZB_BDB_SIGNAL_DEVICE_FIRST_START: // Device started and commissioned first time after NVRAM erase.
-        case ZB_BDB_SIGNAL_DEVICE_REBOOT:      // BDB initialization completed after device reboot, use NVRAM contents during initialization. Device joined/rejoined and started.
-            if (status == RET_OK)
+        case ZB_ZDO_SIGNAL_SKIP_STARTUP:
+            if (zb_bdb_is_factory_new())
             {
-                NRF_LOG_INFO("Device started OK. Start network steering.");
-                comm_status = bdb_start_top_level_commissioning(ZB_BDB_NETWORK_STEERING);
+                comm_status = bdb_start_top_level_commissioning(ZB_BDB_NETWORK_STEERING | ZB_BDB_NETWORK_FORMATION);
                 ZB_COMM_STATUS_CHECK(comm_status);
             }
             else
             {
-                NRF_LOG_ERROR("Device startup failed. Status: %d. Retry network formation after 1 second.", status);
-                bsp_board_led_off(ZIGBEE_NETWORK_STATE_LED);
-                zb_err_code = ZB_SCHEDULE_ALARM(bdb_restart_top_level_commissioning, 0, ZB_TIME_ONE_SECOND);
-                ZB_ERROR_CHECK(zb_err_code);
+                comm_status = bdb_start_top_level_commissioning(ZB_BDB_INITIALIZATION);
+                ZB_COMM_STATUS_CHECK(comm_status);
             }
             break;
 
@@ -225,7 +221,7 @@ int main(void)
     zigbee_erase_persistent_storage(ERASE_PERSISTENT_CONFIG);
 
     /** Start Zigbee Stack. */
-    zb_err_code = zboss_start();
+    zb_err_code = zboss_start_no_autostart();
     ZB_ERROR_CHECK(zb_err_code);
 
     while(1)
